package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:UserController"],
        beego.ControllerComments{
            Method: "ChooseDetail",
            Router: "/choose/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:UserController"],
        beego.ControllerComments{
            Method: "ChooseSubmit",
            Router: "/choose/submit",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "GetWxSign",
            Router: "/getWxSign",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "WechatLoginByxzs",
            Router: "/loginByxzs",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatController"] = append(beego.GlobalControllerRouter["hongze/hongze_cygxzs/controllers:WechatController"],
        beego.ControllerComments{
            Method: "UserInfo",
            Router: "/user/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
